<?php 
    $wp_customize->add_section(
        'peccular_aboutus_section',
        array(
            'title' => __( 'About us', 'peccular-premium' ),
            'panel' => 'peccular_premium_home_panel1',
            'priority' =>19
        )
    );


    $wp_customize->add_setting('peccular_aboutus_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_aboutus_nav', array(
       'section' => 'peccular_aboutus_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_aboutus_enable',
                'peccular_aboutus_section_lbl1',
                'peccular_aboutus_image',
                 'peccular_aboutus_section_lbl2',
                'peccular_aboutus_image2', 
                 'peccular_aboutus_section_lbl3',
                'peccular_aboutus_image3',
                 'peccular_aboutustitle',
                 'peccular_aboutustitle2',
                'peccular_aboutustext',
                 'peccular_aboutuslist',
                 'peccular_abus_button_display', 
                'peccular_aboutus_section_offer',
                'peccular_aboutus_section_callnum',
                'peccular_about_acbutton_text',
                'peccular_aboutmyaccounturl',                
               
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'peccular_aboutus_section_bg_color',
                'peccular_aboutus_section_bg_image',
                'peccular_aboutus_box_onload_effects',
                'peccular_aboutus_head_align',                               
                'peccular_aboutus_sheading_color',
                'peccular_aboutus_sheadingbrdr1_color',
                'peccular_aboutus_sheadingbrdr2_color',
                'peccular_aboutus_sheadingsub_color',
                'peccular_aboutus_sdescription_color',
                'peccular_aboutus_imgbrdr_color',
                'peccular_aboutuslist_color', 
                'peccular_aboutus_btntext_color',
                'peccular_aboutus_btntexthov_color',
                'peccular_aboutus_btnbg_color1',
                'peccular_aboutus_btnbg_color2',
                'peccular_aboutus_callicon_color',
                'peccular_aboutus_calliconcirclebg_color',
                'peccular_aboutus_callnumber_color',
                'peccular_aboutus_callnumbertringlebg_color',
                'peccular_aboutus_offertext_color',
                'peccular_aboutus_image_opacity',
                'peccular_aboutus_offercirclebg_color',

            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_aboutus_padding',
                'peccular_aboutus_section_t_padding',
                'peccular_aboutus_section_b_padding',
                'peccular_aboutus_section_width'
            ),
         )
        ),
    )));

    $wp_customize->add_setting( 'peccular_aboutus_enable',array(
        'default' => true,
        'sanitize_callback' => 'peccular_switch_sanitization'
    ) );
    $wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_aboutus_enable',array(
        'label' => __( 'Disable Section','peccular' ),
        'section' => 'peccular_aboutus_section'
    )));

//Left image 1

    $wp_customize->add_setting('peccular_aboutus_section_lbl1', array('sanitize_callback'=>'peccular_sanitize_text'));
    $wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_aboutus_section_lbl1',
        array(
            'settings'      => 'peccular_aboutus_section_lbl1',
            'section'       => 'peccular_aboutus_section',
            'label'         => __( 'Note:', 'peccular Premium' ), 
            'description'   => __( 'Take Left Image size 554px x 536px  ', 'peccular Premium' ),
    )));
    $wp_customize->add_setting( 'peccular_aboutus_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_aboutus_image', array(
        'label' => __('Left Big Image','peccular'),
       'section' => 'peccular_aboutus_section',
    )));

//Left image 2

    $wp_customize->add_setting('peccular_aboutus_section_lbl2', array('sanitize_callback'=>'peccular_sanitize_text'));
    $wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_aboutus_section_lbl2',
        array(
            'settings'      => 'peccular_aboutus_section_lbl2',
            'section'       => 'peccular_aboutus_section',
            'label'         => __( 'Note:', 'peccular Premium' ), 
            'description'   => __( 'Take Left Small Image size 169px x 163px', 'peccular Premium' ),
    )));
    $wp_customize->add_setting( 'peccular_aboutus_image2', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_aboutus_image2', array(
        'label' => __('Left Small Image 2','peccular'),
       'section' => 'peccular_aboutus_section',
    )));    

//Left image 3

    $wp_customize->add_setting('peccular_aboutus_section_lbl3', array('sanitize_callback'=>'peccular_sanitize_text'));
    $wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_aboutus_section_lbl3',
        array(
            'settings'      => 'peccular_aboutus_section_lbl3',
            'section'       => 'peccular_aboutus_section',
            'label'         => __( 'Note:', 'peccular Premium' ), 
            'description'   => __( 'Take Left Small Image size 169px x 163px', 'peccular Premium' ),
    )));
    $wp_customize->add_setting( 'peccular_aboutus_image3', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_aboutus_image3', array(
        'label' => __('Left Small Image 3','peccular'),
       'section' => 'peccular_aboutus_section',
    ))); 
    

    $wp_customize->add_setting(
        'peccular_aboutustitle',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'About Us', 'peccular-premium' )
        )
    );
    $wp_customize->add_control(
        'peccular_aboutustitle',
        array(
            'settings'      => 'peccular_aboutustitle',
            'section'       => 'peccular_aboutus_section', 
            'type'          => 'text',
            'label'         => __( 'Section Title', 'peccular-premium' )
        )
    );

    $wp_customize->add_setting(
        'peccular_aboutustitle2',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Trusted Solutions for Your Homes Protection', 'peccular-premium' )
        )
    );
    $wp_customize->add_control(
        'peccular_aboutustitle2',
        array(
            'settings'      => 'peccular_aboutustitle2',
            'section'       => 'peccular_aboutus_section', 
            'type'          => 'textarea',
            'label'         => __( 'Section Sub Title', 'peccular-premium' )
        )
    );

    $wp_customize->add_setting(
        'peccular_aboutustext',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Etiam imperdiet dolor arcu, nec vestibulum libero sagittis sed. Sed justo lacus, aliquam ut lorem eget, laoreet convallis dolor. Praesent fringilla iaculis nunc, vel venenatis dolor.' )
        )
    );
    $wp_customize->add_control(
        'peccular_aboutustext',
        array(
            'settings'      => 'peccular_aboutustext',
            'section'       => 'peccular_aboutus_section', 
            'type'          => 'textarea',
            'label'         => __( 'Section Description', 'peccular-premium' )
        )
    );

    $wp_customize->add_setting(
        'peccular_aboutuslist',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( '<ul>
                    <li>Expertise</li>
                    <li>Versatility</li>
                    <li>Timely Response</li>
                    <li>Quality Materials</li>
                </ul>' )
        )
    );
    $wp_customize->add_control(
        'peccular_aboutuslist',
        array(
            'settings'      => 'peccular_aboutuslist',
            'section'       => 'peccular_aboutus_section', 
            'type'          => 'textarea',
            'label'         => __( 'Section List ', 'peccular-premium' )
        )
    );

    $wp_customize->add_setting(
        'peccular_aboutus_section_offer',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( '10% <span>OFF</span>' )
        )
    );
    $wp_customize->add_control(
        'peccular_aboutus_section_offer',
        array(
            'settings'      => 'peccular_aboutus_section_offer',
            'section'       => 'peccular_aboutus_section', 
            'type'          => 'text',
            'label'         => __( 'Offer Price', 'peccular-premium' )
    ));

    $wp_customize->add_setting(
    'peccular_aboutus_section_callnum',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '+098 2315 456' )
    ));
    $wp_customize->add_control(
    'peccular_aboutus_section_callnum',
    array(
        'settings'      => 'peccular_aboutus_section_callnum',
        'section'       => 'peccular_aboutus_section', 
        'type'          => 'text',
        'label'         => __( 'Phone Number', 'peccular-premium' )
    ));


// to show & hide another button
$wp_customize->add_setting( 'peccular_abus_button_display', array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_abus_button_display', array( 'label' => 'Button Display', 'section' => 'peccular_aboutus_section', 'settings' => 'peccular_abus_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button
    $wp_customize->add_setting(
        'peccular_about_acbutton_text',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Read More' )
    ));
    $wp_customize->add_control(
        'peccular_about_acbutton_text',
        array(
            'settings'      => 'peccular_about_acbutton_text',
            'section'       => 'peccular_aboutus_section',
            'type'          => 'text',
            'label'         => __( 'Button Text', 'peccular-premium' )
    ));

    $wp_customize->add_setting(
        'peccular_aboutmyaccounturl', 
        array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
    $wp_customize->add_control(
        'peccular_aboutmyaccounturl',
        array(
            'settings'      => 'peccular_aboutmyaccounturl',
            'section'       => 'peccular_aboutus_section',
            'type'          => 'url',
            'label'         => __( 'Add Button Link Here', 'peccular-premium' )
    )); 

    $wp_customize->add_setting( 'peccular_aboutus_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_aboutus_section_bg_color', array(
        'label' => __('Section BG Color','peccular'),
       'section' => 'peccular_aboutus_section',
    )));

    $wp_customize->add_setting( 'peccular_aboutus_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_aboutus_section_bg_image', array(
        'label' => __('Section BG Image','peccular'),
       'section' => 'peccular_aboutus_section',
    )));  

    $wp_customize->add_setting('peccular_aboutus_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_aboutus_image_opacity',array(
    'label' => __('BG Opacity','peccular'),
    'section' => 'peccular_aboutus_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

    $wp_customize->add_setting('peccular_aboutus_box_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_aboutus_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Block Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_aboutus_section',
    ));

    $wp_customize->add_setting('peccular_aboutus_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_aboutus_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_aboutus_section'
   ));

    $wp_customize->add_setting('peccular_aboutus_section_t_padding',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_aboutus_section_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_aboutus_section',
    ));
     $wp_customize->add_setting('peccular_aboutus_section_b_padding',array(
        'default' => '2',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_aboutus_section_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_aboutus_section',
    ));

    $wp_customize->add_setting('peccular_aboutus_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_aboutus_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_aboutus_section',
    ));


addColorPalatOption($wp_customize, 'peccular_aboutus_sheading_color', 'peccular_aboutus_section', 'Section Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_aboutus_sheadingbrdr1_color', 'peccular_aboutus_section', 'Heading Bottom Border 1 Color', '');
addColorPalatOption($wp_customize, 'peccular_aboutus_sheadingbrdr2_color', 'peccular_aboutus_section', 'Heading Bottom Border 2 Color', '');
addColorPalatOption($wp_customize, 'peccular_aboutus_sheadingsub_color', 'peccular_aboutus_section', 'Section Sub Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_aboutus_sdescription_color', 'peccular_aboutus_section', 'Section Description Color', '');
addColorPalatOption($wp_customize, 'peccular_aboutuslist_color', 'peccular_aboutus_section', 'Section List/Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_aboutus_imgbrdr_color', 'peccular_aboutus_section', 'Image Border Color', '');

addColorPalatOption($wp_customize, 'peccular_aboutus_btntext_color', 'peccular_aboutus_section', 'Button Text Color', '');
addColorPalatOption($wp_customize, 'peccular_aboutus_btntexthov_color', 'peccular_aboutus_section', 'Button BG Color 1', '');
addColorPalatOption($wp_customize, 'peccular_aboutus_btnbg_color1', 'peccular_aboutus_section', 'Button BG Color 2', '');

// addColorPalatOption($wp_customize, 'peccular_aboutus_btnhovbg_color', 'peccular_aboutus_section', 'Button Hover BG Color', '');
addColorPalatOption($wp_customize, 'peccular_aboutus_callicon_color', 'peccular_aboutus_section', 'Call Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_aboutus_calliconcirclebg_color', 'peccular_aboutus_section', 'Call Icon BG Color', '');
addColorPalatOption($wp_customize, 'peccular_aboutus_callnumber_color', 'peccular_aboutus_section', 'Call Number Color', '');
addColorPalatOption($wp_customize, 'peccular_aboutus_callnumbertringlebg_color', 'peccular_aboutus_section', 'Call Number Tringle BG Color', '');
addColorPalatOption($wp_customize, 'peccular_aboutus_offertext_color', 'peccular_aboutus_section', 'Offer Text Color', '');
addColorPalatOption($wp_customize, 'peccular_aboutus_offercirclebg_color', 'peccular_aboutus_section', 'Offer Text BG Color', '');
?>