<?php 
$lvl1ParentPanel = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel1', array(
    'title' => 'General Settings',
    'priority' => 1,
));
$wp_customize->add_panel( $lvl1ParentPanel );

$lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'peccular_header_panel1',
    'priority' => 2
));

$wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
$wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test page',
    'panel' => 'peccular_header_panel3',
));

//Bottom Header
$wp_customize->add_section( 'peccular_inner_pages' , array(
    'title'    => __( 'Inner Pages', 'peccular-premium' ),
    'priority' => null,
    'panel' => 'peccular_header_panel3'
) );


$wp_customize->add_setting('peccular_innerpages_nav', array(
 'sanitize_callback' => 'wp_kses_post',
));

$wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_innerpages_nav', array(
 'section' => 'peccular_inner_pages',
 'priority' => 1,
 'buttons' => array(
  array(
   'name' => esc_html__('General', 'peccular-premium'),
   'icon' => 'dashicons dashicons-welcome-write-blog',
   'fields' => array(
    'peccular_innerpage_pagetitle_padding',
    'peccular_innerpagebulletpointlbl',
    'peccular_innerpage_bulletpointicon',
    'peccular_innerpage_pagetitle_t_padding',
    'peccular_innerpage_pagetitle_b_padding' ,   
    'innerpage_featured_img_on_off',               
    'page_title_on_off',
    'peccular_innerpagebulletpointlbl',
    'inneranimations_icon_display',
    'peccular_innerpage_bulletpointicon' 
),
   'active' => true,
),          
  array(
    'name' => esc_html__('Layout', 'peccular-premium'),
    'icon' => 'dashicons dashicons-layout',
    'fields' => array(
        'peccular__page_layout',
        'peccular_inner_page_width'

    ),
),
  array(
    'name' => esc_html__('Style', 'peccular-premium'),
    'icon' => 'dashicons dashicons-art',
    'fields' => array( 
        'peccular_innerpage_image_opacity',
        'peccular_innerpage_header_box_onload_effects',   
        'peccular_innerpage_content_color',
        'peccular_innerpage_link_color',
        'peccular_sidebarclrss',
        'peccular_innerpage_linkhover_color',
        'peccular_innerpage_bg_color',
        'peccular_innerpage_title_color',
        'peccular_innerpage_titlebg_color',
        'peccular_innerpage_listnumber_color',
        'peccular_innerpage_listnumberbg_color',
        'peccular_innerpage_listnumberbgbg_color',
        'peccular_innerpage_pagination_color',
        'peccular_innerpage_paginationbg_color',
        'peccular_innerpage_paginationborder_color',
        'peccular_innerpage_paginationactivetext_color', 
        'peccular_innerpage_paginationactivebg_color',               
        'peccular_innerpage_blockquotebg_color',
        'peccular_innerpage_blockquotetext_color',
        'peccular_innerpage_formfield_color',
        'peccular_innerpage_formbg_color',
        'peccular_innerpage_formborder_color',
        'peccular_innerpage_formbuttontext_color',
        'peccular_innerpage_formbuttonbg_color',
        'peccular_innerpage_formbuttonhover_color',
        'peccular_sidebarclrs',
        'peccular_innerpage_sidebartitle_color',
        'peccular_innerpage_sidebarnavbr_color',
        'peccular_innerpage_sidebartitlebg_color',
        'peccular_innerpage_sidebartitleborder_color', 
        'peccular_innerpage_sidebarico_color',
        'peccular_innerpage_sidebarlink_color',
        'peccular_innerpage_sidebarlinkhover_color',
        'peccular_innerpage_sidebarlinkbr_color', 
        'peccular_innerpage_listbrs_color',
        'peccular_innerpage_listcc_color',
        'peccular_orderunls',
        'peccular_blockunls', 
        'peccular_innerpage_blockquoteico_color',
        'peccular_innerpage_blockquoteb_color', 
        'peccular_innerpage_blockqccb_color',
        'peccular_innerpage_sidebarbxbg_color',
        'peccular_innerpage_sidebarpostd_color',
        'peccular_innerpage_formtxt_color', 
        'peccular_innerpage_formbuttontxt_color',
        'peccular_innerpage_sidebarsearch_color',
        'peccular_innerpage_blockheading_color',
        'peccular_innerpage_sidebarsearchbg_color',
        'peccular_innerpage_blockquotebrdr_color'
    ),
)
),
)));


$wp_customize->add_setting(
    'innerpage_featured_img_on_off',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
    )
);
$wp_customize->add_control(
    new peccular_Switch_Control(
        $wp_customize,
        'innerpage_featured_img_on_off',
        array(
            'settings'      => 'innerpage_featured_img_on_off',
            'section'       => 'peccular_inner_pages',
            'label'         => __( 'Page Featured Image', 'peccular-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'peccular-premium' ),
                'off' => __( 'No', 'peccular-premium' )
            ),
        )
    )
);


$wp_customize->add_setting(
    'page_title_on_off',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
    )
);
$wp_customize->add_control(
    new peccular_Switch_Control(
        $wp_customize,
        'page_title_on_off',
        array(
            'settings'      => 'page_title_on_off',
            'section'       => 'peccular_inner_pages',
            'label'         => __( 'Page Title', 'peccular-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'peccular-premium' ),
                'off' => __( 'No', 'peccular-premium' )
            ),
        )
    )
);


//Page Layout
$lzPageLayout = getPageLayout(true);

$wp_customize->add_setting(
 'peccular__page_layout',
 array(
  'sanitize_callback'=> 'absint',
  'default' => '0'
)
);
$wp_customize->add_control(
 new peccular_Font_Chooser(
  $wp_customize,
  'peccular__page_layout',
  array(
   'settings'=> 'peccular__page_layout',
   'section' => 'peccular_inner_pages',
   'label'=>__('Left / Right And No Sidebar', 'peccular Premium'),
   'choices'=>$lzPageLayout
)
)
);

$wp_customize->add_setting('peccular_inner_page_width',array(
    'default' => 'Box Width',
    'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_inner_page_width',array(
    'type' => 'select',
    'label' => __('Page Width','peccular'),
    'choices' => array (
        'Box Width' => __('Box Width','peccular'),
        'Full Width' => __('Full Width','peccular')
    ),
    'section' => 'peccular_inner_pages',
));

addColorPalatOption($wp_customize, 'peccular_innerpage_content_color', 'peccular_inner_pages', 'Content Text Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_link_color', 'peccular_inner_pages', 'Link Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_linkhover_color', 'peccular_inner_pages', 'Link Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_bg_color', 'peccular_inner_pages', 'BG Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_title_color', 'peccular_inner_pages', 'Title Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_titlebg_color', 'peccular_inner_pages', 'Title Overlay Color', '');

addColorPalatOption($wp_customize, 'peccular_innerpage_pagination_color', 'peccular_inner_pages', 'Pagination Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_paginationbg_color', 'peccular_inner_pages', 'Pagination BG Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_paginationborder_color', 'peccular_inner_pages', 'Pagination Border Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_paginationactivetext_color', 'peccular_inner_pages', 'Pagination Active Text Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_paginationactivebg_color', 'peccular_inner_pages', 'Pagination Hover/Active BG Color', '');


addColorPalatOption($wp_customize, 'peccular_innerpage_formborder_color', 'peccular_inner_pages', 'Form Fields Border Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_formtxt_color', 'peccular_inner_pages', 'Form Text Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_formbuttonbg_color', 'peccular_inner_pages', 'Form Button BG Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_formbuttontext_color', 'peccular_inner_pages', 'Form Button Text Color', '');

$wp_customize->add_setting('peccular_sidebarclrss',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_sidebarclrss',
        array(
            'settings'      => 'peccular_sidebarclrss',
            'section'       => 'peccular_inner_pages',
            'label'         => __( 'Sidebar Colors', 'peccular' ),
        )
    )
); 


addColorPalatOption($wp_customize, 'peccular_innerpage_sidebartitle_color', 'peccular_inner_pages', 'Title Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_sidebartitlebg_color', 'peccular_inner_pages', 'Title BG Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_sidebartitleborder_color', 'peccular_inner_pages', 'Triangle Shape BG Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_sidebarico_color', 'peccular_inner_pages', 'Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_sidebarlink_color', 'peccular_inner_pages', 'Link Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_sidebarlinkhover_color', 'peccular_inner_pages', 'Link Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_sidebarlinkbr_color', 'peccular_inner_pages', 'Link Border Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_sidebarbxbg_color', 'peccular_inner_pages', 'Widget Box BG Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_sidebarpostd_color', 'peccular_inner_pages', 'Date Text Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_sidebarsearch_color', 'peccular_inner_pages', 'Search & Nav Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_sidebarsearchbg_color', 'peccular_inner_pages', 'Search & Nav Icon BG Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_sidebarnavbr_color', 'peccular_inner_pages', 'Nav Border Color', '');

$wp_customize->add_setting('peccular_orderunls',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_orderunls',
        array(
            'settings'      => 'peccular_orderunls',
            'section'       => 'peccular_inner_pages',
            'label'         => __( 'Unorder/Order List Colors', 'peccular' ),
        )
    )
); 


addColorPalatOption($wp_customize, 'peccular_innerpage_listnumber_color', 'peccular_inner_pages', 'List Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_listnumberbg_color', 'peccular_inner_pages', 'Order List Number Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_listnumberbgbg_color', 'peccular_inner_pages', 'Order List BG Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_listbrs_color', 'peccular_inner_pages', 'Order List Border Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_listcc_color', 'peccular_inner_pages', 'Unorder & Order List Color', '');

$wp_customize->add_setting('peccular_blockunls',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_blockunls',
        array(
            'settings'      => 'peccular_blockunls',
            'section'       => 'peccular_inner_pages',
            'label'         => __( 'Blockquote Colors', 'peccular' ),
        )
    )
); 

addColorPalatOption($wp_customize, 'peccular_innerpage_blockheading_color', 'peccular_inner_pages', 'Blockquote Heading Color', '');

addColorPalatOption($wp_customize, 'peccular_innerpage_blockquotebg_color', 'peccular_inner_pages', 'Blockquote BG Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_blockquotetext_color', 'peccular_inner_pages', 'Blockquote Text Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_blockquoteico_color', 'peccular_inner_pages', 'Blockquote Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_blockquoteb_color', 'peccular_inner_pages', 'Blockquote Border Color 1', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_blockqccb_color', 'peccular_inner_pages', 'Blockquote Border Color 2', '');

?>