<?php
/**
 * 
 * @package Slider Premium
 */
?> 
<?php $showContent = get_theme_mod('slider_section_show_content', 'on'); ?>
<div class="slider-area" id="slider">
    <div class="<?php if(get_theme_mod('peccular_slider_section_width','Full Width') == 'Full Width'){ ?>container-fluid pd-0 <?php } elseif(get_theme_mod('peccular_slider_section_width','Full Width') == 'Box Width'){ ?> container <?php }?>">
       <section class="hero-slider hero-style">
    <div class="swiper-container">
      <div class="swiper-wrapper">

        <?php
        $args = array( 'post_type' => 'slider', 'orderby'   => 'id', 'order' => 'DESC',);
        if(!empty($pageId)){
            $args['page_id'] = absint($pageId);
        }
        $text = '';
        $query = new WP_Query($args);
        if($query->have_posts()){
            while($query->have_posts()) : $query->the_post(); 
                $slider1btntext = get_post_meta($post->ID, 'slider1btntext', false);
                    $test_slider1btntext = !empty($slider1btntext[0]) ? $slider1btntext[0] : '';

                // $slider2btntext = get_post_meta($post->ID, 'slider2btntext', false);
                    // $test_slider2btntext = !empty($slider2btntext[0]) ? $slider2btntext[0] : '';
                ?>

               <div class="swiper-slide">
                    <div class="slide-inner slide-bg-image">
                        <div class="peccular-slider-mainoverlay"></div>
                         
                        <div class="sliderimg"> 
                            <?php 
                            if(has_post_thumbnail()){
                                $total_slider_image = wp_get_attachment_image_src(get_post_thumbnail_id(),'full');  
                                echo '<img class="slide-mainimg" alt="'. esc_html(get_the_title()) .'" src="'.esc_url($total_slider_image[0]).'">';
                            }?>
                        </div>
                            <?php if($showContent == 'on'){?>
                            <div class="slider-inner-mainbox">
                     
                            <div class="slider-inner-box">
                                <div class="slide-title animated fadeInDownBig">
                                    <h2><?php echo (get_the_title()); ?></h2>                                       
                                </div>
                                <div class="slide-text animated fadeInLeftBig"><p><?php echo (get_the_content()); ?></p></div>
                                <div class="clearfix"></div>  
                                
                                    <?php
                                    $sliderbtn1url = get_post_meta($post->ID, 'sliderbtn1url', true);
                                    $slider1_btn_url = !empty($sliderbtn1url[0]) ? $sliderbtn1url[0] : '';                            ?>
                                    
                                    <?php if ($slider1_btn_url) { ?>
                                    <div class="slide-btns-1 animated fadeInDownBig">
                                        <a class="ReadMore" href="<?php echo $slider1_btn_url; ?>">
                                        <?php echo ($test_slider1btntext); ?>
                                        </a>
                                    </div>
                                    <?php } ?>                                
                                      
                            </div>
                       
                        </div>
                        <?php }?>                      

                    </div>
                </div> 

                    <?php
                endwhile;
            }else{ 
                for($i=0;$i<1;$i++){?>

                    <div class="swiper-slide">
                    <div class="slide-inner slide-bg-image">
                        <div class="peccular-slider-mainoverlay"></div>
                        <div class="sliderimg">
                            <?php echo '<img class="slide-mainimg" alt="Slider" src="'. esc_html(get_template_directory_uri()) .'/images/sliderimg.png">';?>
                        </div>
                        <?php if($showContent == 'on'){?>
                            <div class="slider-inner-mainbox">                             
                             
                            <div class="slider-inner-box">
                                <div class="slide-title animated fadeInDownBig">
                                    <h2>Securing Your Home, One Shingle at a Time.</h2>                                    
                                </div>
                                <div class="slide-text animated fadeInLeftBig">
                                    <p>Pellentesque orci eros, vulputate vitae massa eu, maximus posuere nulla. Mauris venenatis, ligula nec auctor placerat.</p>
                                </div>  
                                <div class="clearfix"></div>
                               
                                <div class="slide-btns-1 animated fadeInDownBig"> 
                                    <a class="ReadMore" href="<?php echo $slider1_btn_url; ?>"> Read more </a>
                                </div>                
                              
                                <div class="clearfix"></div>
                            </div>
                             <div class="clearfix"></div>
                    
                        </div>
                        <?php }?>
                    </div> 
                </div> 
                <?php }
            }?>
    </div>
        <div class="swiper-pagination"></div>
        <div class="swiper-button-next">
    <svg xmlns="http://www.w3.org/2000/svg" width="30" height="33.233" viewBox="0 0 30 33.233">
  <g id="right-chevron" transform="translate(0)">
    <path id="Path_8" data-name="Path 8" d="M9.476,0c-.432.361-.833.743-1.23,1.142l-.2.2L7.5,1.888l-.59.59L5.889,3.5,4.413,4.977l-2.4,2.4L-.308,9.7l-.145.145-.72.72-5.967,5.971a1.889,1.889,0,0,0,.433.611l.174.175.192.19.2.2.559.558.6.6,1.18,1.179,1.373,1.372L.023,23.876,2.4,26.252l.148.148.148.148,2.7,2.7.958.958,1.167,1.165.6.6.644.643.192.193.173.172.15.15c.115.1.115.1.194.1a28.4,28.4,0,0,0,.509-3.684l.021-.281a7.865,7.865,0,0,0-1.819-6.211A38.148,38.148,0,0,0,5.4,20.246l-.148-.137Q3.342,18.34,1.326,16.7a1.409,1.409,0,0,1,.481-.6l.2-.168.225-.183.485-.4.129-.108c.9-.757,1.775-1.546,2.64-2.343l.144-.132c2.2-2.033,4.2-3.915,4.39-7.059a17.811,17.811,0,0,0-.048-2l-.021-.283A28.171,28.171,0,0,0,9.476,0Z" transform="translate(7.141 0)" fill="#fff"/>
    <path id="Path_9" data-name="Path 9" d="M9.476,0c-.432.361-.833.743-1.23,1.142l-.2.2L7.5,1.888l-.59.59L5.889,3.5,4.413,4.977l-2.4,2.4L-.308,9.7l-.145.145-.72.72-5.967,5.971a1.889,1.889,0,0,0,.433.611l.174.175.192.19.2.2.559.558.6.6,1.18,1.179,1.373,1.372L.023,23.876,2.4,26.252l.148.148.148.148,2.7,2.7.958.958,1.167,1.165.6.6.644.643.192.193.173.172.15.15c.115.1.115.1.194.1a28.4,28.4,0,0,0,.509-3.684l.021-.281a7.865,7.865,0,0,0-1.819-6.211A38.148,38.148,0,0,0,5.4,20.246l-.148-.137Q3.342,18.34,1.326,16.7a1.409,1.409,0,0,1,.481-.6l.2-.168.225-.183.485-.4.129-.108c.9-.757,1.775-1.546,2.64-2.343l.144-.132c2.2-2.033,4.2-3.915,4.39-7.059a17.811,17.811,0,0,0-.048-2l-.021-.283A28.171,28.171,0,0,0,9.476,0Z" transform="translate(19.959 0)" fill="#fff"/>
  </g>
</svg>
        </div>
        <div class="swiper-button-prev">
    <svg xmlns="http://www.w3.org/2000/svg" width="30" height="33.233" viewBox="0 0 30 33.233">
  <g id="right-chevron" transform="translate(0)">
    <path id="Path_8" data-name="Path 8" d="M9.476,0c-.432.361-.833.743-1.23,1.142l-.2.2L7.5,1.888l-.59.59L5.889,3.5,4.413,4.977l-2.4,2.4L-.308,9.7l-.145.145-.72.72-5.967,5.971a1.889,1.889,0,0,0,.433.611l.174.175.192.19.2.2.559.558.6.6,1.18,1.179,1.373,1.372L.023,23.876,2.4,26.252l.148.148.148.148,2.7,2.7.958.958,1.167,1.165.6.6.644.643.192.193.173.172.15.15c.115.1.115.1.194.1a28.4,28.4,0,0,0,.509-3.684l.021-.281a7.865,7.865,0,0,0-1.819-6.211A38.148,38.148,0,0,0,5.4,20.246l-.148-.137Q3.342,18.34,1.326,16.7a1.409,1.409,0,0,1,.481-.6l.2-.168.225-.183.485-.4.129-.108c.9-.757,1.775-1.546,2.64-2.343l.144-.132c2.2-2.033,4.2-3.915,4.39-7.059a17.811,17.811,0,0,0-.048-2l-.021-.283A28.171,28.171,0,0,0,9.476,0Z" transform="translate(7.141 0)" fill="#fff"/>
    <path id="Path_9" data-name="Path 9" d="M9.476,0c-.432.361-.833.743-1.23,1.142l-.2.2L7.5,1.888l-.59.59L5.889,3.5,4.413,4.977l-2.4,2.4L-.308,9.7l-.145.145-.72.72-5.967,5.971a1.889,1.889,0,0,0,.433.611l.174.175.192.19.2.2.559.558.6.6,1.18,1.179,1.373,1.372L.023,23.876,2.4,26.252l.148.148.148.148,2.7,2.7.958.958,1.167,1.165.6.6.644.643.192.193.173.172.15.15c.115.1.115.1.194.1a28.4,28.4,0,0,0,.509-3.684l.021-.281a7.865,7.865,0,0,0-1.819-6.211A38.148,38.148,0,0,0,5.4,20.246l-.148-.137Q3.342,18.34,1.326,16.7a1.409,1.409,0,0,1,.481-.6l.2-.168.225-.183.485-.4.129-.108c.9-.757,1.775-1.546,2.64-2.343l.144-.132c2.2-2.033,4.2-3.915,4.39-7.059a17.811,17.811,0,0,0-.048-2l-.021-.283A28.171,28.171,0,0,0,9.476,0Z" transform="translate(19.959 0)" fill="#fff"/>
  </g>
</svg></div>
</div>
</section>
    </div>
</div>