<?php
/**
 * Template Name: Blog Page with Right Sidebar Template
 *
 * @package peccular Premium
 */
get_header(); ?>
  <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<div class="peccular-page-main"> 
   <header class="page-main-header2" 
  <?php
    if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){
  ?>

 <?php  if (!empty($image)) : ?>
  style="background: url('<?php echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:cover;background-position: center;  height: <?php echo esc_attr(get_theme_mod('peccular_innerpage_image_height','345')) ?>px;
  "
  <?php endif ?> 

 <?php } ?>

  >
<?php
    if(get_theme_mod('page_title_on_off') != 'on' ){
  ?>
    <div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
        <?php the_title( '<h1 class="ht-main-title">', '</h1>' ); ?>
        <div class="clearfix"></div>
    </div>
 <?php } ?> 
 <?php
    if(get_theme_mod('breadcrumb_on_off') != 'on' ){
  ?>        
    <div class="breadcrumbbox">
        <div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
              
                <div class='button'><?php peccular_lite_the_breadcrumb(); ?></div>
                <!--  <?php //peccular_lite_the_breadcrumb(); ?> -->
            </div>
        </div>
 <?php } ?>   
  

</header><!-- .entry-header --> 
<div class="peccular-innerpage-overlay"></div>
</div>
<main id="innerpage-box">
    <div class="<?php if(get_theme_mod('peccular_blog_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_blog_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
    <div class="inner_contentbox">
   <div class="row ">
        
      <div id="blog-box" class="ht-blog-wrap innerpage-whitebox col-lg-8 col-md-6 col-sm-6 col-xs-12">
           <div class="row">
      <?php

      $current_page = max(1, get_query_var('paged'));
      $peccular_blog_cat_exclude = get_theme_mod('peccular_blog_categories');
      $peccular_blog_cat_exclude = explode(',', $peccular_blog_cat_exclude);
      $excerpt = get_theme_mod('peccular_blog_categories_settings');
      $args = array(
        'category__not_in' => $peccular_blog_cat_exclude,
                // 'page'=,
        'paged'=> $current_page,
    );
      $query = new WP_Query($args);
      if($query -> have_posts()):
        while($query -> have_posts()) : $query -> the_post();
           $peccular_image = wp_get_attachment_image_src(get_post_thumbnail_id() , 'total-blog-thumb');
           $img = (has_post_thumbnail())?esc_url($peccular_image[0]):get_template_directory_uri().'/images/default.png';
           ?>
           <div class="col-lg-6 col-md-12 col-sm-12 col-xs-12">                 
            <div class="inner-blog-post">                 

             <div class="peccular-box-area-S">               
                 <?php
                 if(get_theme_mod('blog_featured_img_on_off') != 'on' ){
                    ?>
                    <a href="<?php the_permalink(); ?>">
                        <div class="peccular-blog-imgbox">
                            <img class="inner-blog-img " src="<?php echo $img; ?>" alt="<?php the_title(); ?>" style="height: <?php echo esc_attr(get_theme_mod('peccular_blogpage_post_image_height','272')) ?>px;">             
                        </div>
                    </a>
                <?php } ?>

                <div class="ser-contentbox">
                 <div class="row md-0">
                    <div class="col-lg-10 col-md-10 col-sm-12 col-xs-12 pd-0">                           

                        <div class="row md-1 date-comm"> 
                           <?php if (get_theme_mod('peccular_show_date',true) != false){ ?>
                            <div class="peccular-blog-date col-xl-6 col-lg-6 col-md-6 col-sm-6 col-xs-6 pd-0">
                                <i class="fa fa-calendar" aria-hidden="true"></i><span><?php echo get_the_date( 'j M Y' ); ?></span>
                          </div>
                      <?php } ?>  
                      <?php if (get_theme_mod('peccular_show_comments',true) != false){ ?>  
                        <div class="peccular-blog-comment col-xl-6 col-lg-6 col-md-6 col-sm-6 col-xs-6 pd-0">                      
                          <i class="fa fa-comment-o" aria-hidden="true"></i><span><?php echo $my_var = get_comments_number(); ?>  </span>
                      </div>
                  <?php } ?>              
              </div><!-- date-comm -->                                          
              <div class="peccular-blog-content">
                <a href="<?php the_permalink(); ?>"><h4 class="inner-area-title"><?php the_title(); ?></h4></a>   
                <?php if (get_theme_mod('blog_page_excerpt',true) != false){ ?>
                    <p class="blogtext"><?php $peccular_excerpt = get_the_excerpt(); echo esc_html( peccular_string_limit_words( $peccular_excerpt, esc_attr(get_theme_mod('peccular_bloginn_post_excerpt','13')) ) ); ?></p>    <?php } ?>                            

                </div><!-- content -->
            </div>
            <div class="col-lg-2 col-md-2 col-sm-12 col-xs-12 pd-0 border-left">
                <div class="read-btn"> 

                    <?php
                    $peccular_blog_button_text = get_theme_mod('peccular_blog_button_text', 'Read More'); 
                    ?>
                    <?php if( get_theme_mod('peccular_blog_button_display','show' ) == 'show') :
                       ?> 
                       <a href="<?php the_permalink(); ?>" class="bread-btn"><?php echo ($peccular_blog_button_text );  ?></a>
                   <?php endif ?>
               </div>
           </div>
       </div>  <!-- row -->                    
   </div><!-- ser-contentbox-->


</div>
</div>


</div>
<?php
endwhile;
endif;
wp_reset_postdata();
?>
<div class="clearfix"></div>
</div>
            <div class="clearfix"></div>

            </div>
            <div class="col-lg-4 col-md-6 col-sm-6 col-xs-12 ">
           <div id="secondary" class="widget-area">
            <?php  dynamic_sidebar('peccular-blog-sidebar'); ?>
          </div>
        </div>


    <div class="clearfix"></div>
    
    <div class="pagingation">
        <?php lzGetPagination($query);?>
    </div>
    <div class="clearfix"></div>
    </div>
            <div class="clearfix"></div>
    </div>
  </div>
</main><!-- #main -->
<?php get_footer(); ?>
