<?php
/**
 * Template Name: Page with Left Sidebar Template
 *
 * @package peccular Premium
 */
get_header(); ?>
  <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<div class="peccular-page-main"> 
   <header class="page-main-header2" 
  <?php
    if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){
  ?>

 <?php  if (!empty($image)) : ?>
  style="background: url('<?php echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:cover;background-position: center;  height: <?php echo esc_attr(get_theme_mod('peccular_innerpage_image_height','345')) ?>px;
  "
  <?php endif ?> 

 <?php } ?>

  >
<?php
    if(get_theme_mod('page_title_on_off') != 'on' ){
  ?>
    <div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
        <?php the_title( '<h1 class="ht-main-title">', '</h1>' ); ?>
        <div class="clearfix"></div>
    </div>
 <?php } ?> 
 <?php
    if(get_theme_mod('breadcrumb_on_off') != 'on' ){
  ?>        
    <div class="breadcrumbbox">
        <div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
              
                <div class='button'><?php peccular_lite_the_breadcrumb(); ?></div>
                <!--  <?php //peccular_lite_the_breadcrumb(); ?> -->
            </div>
        </div>
 <?php } ?>   
  

</header><!-- .entry-header --> 
<div class="peccular-innerpage-overlay"></div>
</div>

<main id="innerpage-box">
      <div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>" >
           <div class="inner_contentbox">

         <div class="row ">        
            <div class="col-xl-4 col-lg-5 col-md-6 col-sm-6 col-xs-12">
                <?php  get_sidebar(); ?>
            </div>
            <div id="content-box" class="col-xl-8 col-lg-7 col-md-6 col-sm-6 col-xs-12 innerpage-whitebox">
                <?php while ( have_posts() ) : the_post(); ?>
                    <?php get_template_part( 'template-parts/content', 'page' ); ?>
                    <?php
                // If comments are open or we have at least one comment, load up the comment template.
                    if ( comments_open() || get_comments_number() ) :
                        comments_template();
                    endif;
                    ?>
                <?php endwhile; // End of the loop. ?>
            </div><!-- #main -->
              <div class="clearfix"></div>
        </div>

    <div class="clearfix"></div>
    
    <div class="pagingation">
        <?php lzGetPagination($query);?>
    </div>
            <div class="clearfix"></div>
    </div>
  </div>
</main><!-- #main -->
<?php get_footer(); ?>
