<?php 
$lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'peccular_header_panel1',
    'priority' => 2,
));

$wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
$wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test page',
    'panel' => 'peccular_header_panel3',
));

//Bottom Header
$wp_customize->add_section( 'peccular_contact_pages' , array(
    'title'    => __( 'Contact Page', 'peccular-premium' ),
    'priority' => null,
    'panel' => 'peccular_header_panel3'
) );


$wp_customize->add_setting('peccular_contactpages_nav', array(
 'sanitize_callback' => 'wp_kses_post',
));

$wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_contactpages_nav', array(
 'section' => 'peccular_contact_pages',
 'priority' => 1,
 'buttons' => array(
  array(
   'name' => esc_html__('General', 'peccular-premium'),
   'icon' => 'dashicons dashicons-welcome-write-blog',
   'fields' => array(


    'peccular_contactpage_address1',            
    'peccular_contact_page_phone',                              
    'peccular_contact_page_email',                
    'peccular_contactpage_form_shortcode',                
    'peccular_contact_page_formtitle1',   
    'peccular_cont_addhead',        
    'peccular_cont_emailhead',  
    'peccular_cont_phonehead',  
    'peccular_contform_subtitle',
    'peccular_cont_maintitleleft',
    'peccular_cont_text',
    'peccular_contform_maintitle',
    'peccular_contact_pages_lbl1',
    'peccular_contact_page_iframe_shortcode',
    'peccular_innercon_section_title',
    'peccular_contactpage_address2',
    'peccular_contact_page_email1',
    'peccular_contact_page_email2',
    'peccular_contact_page_phone1',
    'peccular_contact_page_phone2',
    'peccular_innercon_text'      


),
   'active' => true,
),      
  array(
    'name' => esc_html__('Style', 'peccular-premium'),
    'icon' => 'dashicons dashicons-art',
    'fields' => array( 

        'peccular_contactpage_box_onload_effects',   
        'peccular_contact_pagee_formbtntext_color',            
        'peccular_contactpage_leftboxbg_color',
        'peccular_contactpage_formtitle_color',
        'peccular_contactpage_formtitlbrdr_color',
        'peccular_contactpage_formtext_color',
        'peccular_contactpage_bxbr_color',
        'peccular_contactpage_formtextbrdr_color',
         'peccular_contactpage_conttr_color', 
        'peccular_contactpage_formbtnbg_color1',
        'peccular_contactpage_formbtntext_color',
        'peccular_contactpage_formbtnbghov_color1',
        'peccular_contactpage_formbtntexthv_color',
        'peccular_contactpage_addtitle_color',
        'peccular_contactpage_addtext1_color',
        'peccular_contactpage_addicon_color',
        'peccular_contactpage_hovicon_color',
        'peccular_contactpage_iconbg_color',
        'peccular_contactpage_hoviconbg_color',
        'peccular_contactpage_continfobox_color',               

    ),
)
),
)));


$wp_customize->add_setting(
    'peccular_contform_maintitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'CONTACT US', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contform_maintitle',
    array(
        'settings'      => 'peccular_contform_maintitle',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Form Title', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contactpage_form_shortcode',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Add Form [SHORTCODE] Here', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_form_shortcode',
    array(
        'settings'      => 'peccular_contactpage_form_shortcode',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Form Shortcode', 'peccular' )
    )
);


$wp_customize->add_setting(
    'peccular_cont_addhead',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Address', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_cont_addhead',
    array(
        'settings'      => 'peccular_cont_addhead',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Address Heading', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contactpage_address1',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'W186N9581 Bancroft Dr', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_address1',
    array(
        'settings'      => 'peccular_contactpage_address1',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Address Text 1', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contactpage_address2',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Menomonee Falls U.S.', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_address2',
    array(
        'settings'      => 'peccular_contactpage_address2',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Address Text 2', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_cont_emailhead',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Email', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_cont_emailhead',
    array(
        'settings'      => 'peccular_cont_emailhead',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'E-mail Heading', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contact_page_email1',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'info@sdfbvhfjmail.com', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_page_email1',
    array(
        'settings'      => 'peccular_contact_page_email1',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Email Text 1', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contact_page_email2',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'sfsgsd@infiobmail.com', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_page_email2',
    array(
        'settings'      => 'peccular_contact_page_email2',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Email Text 2', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_cont_phonehead',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Phone', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_cont_phonehead',
    array(
        'settings'      => 'peccular_cont_phonehead',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Phone Heading', 'peccular' )
    )
);
$wp_customize->add_setting(
    'peccular_contact_page_phone1',
    array(
        'sanitize_callback' => 'peccular_sanitize_phone_number',
        'default'           => __( '+000 342 4567 876', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_page_phone1',
    array(
        'settings'      => 'peccular_contact_page_phone1',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Phone Number 1', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contact_page_phone2',
    array(
        'sanitize_callback' => 'peccular_sanitize_phone_number',
        'default'           => __( '+112 987 0987 231', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_page_phone2',
    array(
        'settings'      => 'peccular_contact_page_phone2',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Phone Number 2', 'peccular' )
    )
);


$wp_customize->add_setting(
    'peccular_contact_page_iframe_shortcode', 
    array( 
        'default'=>'Add Map Embed Code Here'
    ));
$wp_customize->add_control(
    'peccular_contact_page_iframe_shortcode', 
    array(
        'settings'=>'peccular_contact_page_iframe_shortcode', 
        'section'=>'peccular_contact_pages',
        'type'=>'textarea', 
        'label'=> __('Embed Code For Map', 'peccular')
    ));


$wp_customize->add_setting('peccular_contactpage_box_onload_effects',array(
    'default' => 'wow zoomIn',
    'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_contactpage_box_onload_effects',array(
    'type' => 'select',
    'label' => __('Box Onload Transition Effects','peccular'),
    'choices' => array (
        'wow bounceInLeft' => __('Bounce In Left','peccular'),
        'wow bounceInRight' => __('Bounce In Right','peccular'),
        'wow bounceInUp' => __('Bounce In Up','peccular'),
        'wow bounceInDown' => __('Bounce In Down','peccular'),
        'wow zoomIn' => __('Zoom In','peccular'),
        'wow zoomOut' => __('Zoom Out','peccular'),
        'wow fadeInDown' => __('Fade In Down','peccular'),            
        'wow fadeInUp' => __('Fade In Up','peccular'),
        'wow fadeInLeft' => __('Fade In Left','peccular'),
        'wow fadeInRight' => __('Fade In Right','peccular'),
        'flip-up' => __('Flip Up','peccular')
    ),
    'section' => 'peccular_contact_pages',
));


addColorPalatOption($wp_customize, 'peccular_contactpage_leftboxbg_color', 'peccular_contact_pages', 'Form Box BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_formtitle_color', 'peccular_contact_pages', 'Form Title Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_formtitlbrdr_color', 'peccular_contact_pages', 'Form Title Border Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_formtext_color', 'peccular_contact_pages', 'Form Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_formtextbrdr_color', 'peccular_contact_pages', 'Form Field Border Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_formbtnbg_color1', 'peccular_contact_pages', 'Form Button BG Color', '');

addColorPalatOption($wp_customize, 'peccular_contact_pagee_formbtntext_color', 'peccular_contact_pages', 'Form Button Text color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_addtitle_color', 'peccular_contact_pages', 'Address/Phone/Mail Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_addtext1_color', 'peccular_contact_pages', 'Address/Phone/Mail Text Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_addicon_color', 'peccular_contact_pages', 'Address/Phone/Mail Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_hovicon_color', 'peccular_contact_pages', 'Address/Phone/Mail Hover Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_iconbg_color', 'peccular_contact_pages', 'Address/Phone/Mail Icon BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_continfobox_color', 'peccular_contact_pages', 'Address/Phone/Mail Box BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_bxbr_color', 'peccular_contact_pages', 'Address/Phone/Email Box Border Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_conttr_color', 'peccular_contact_pages', 'Form Box Triangle Shape Color', '');
?>