<?php 
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package peccular Premium
 */
$peccular_lite_single_breadcrumb_section = get_theme_mod('peccular_lite_single_breadcrumb_section', '1');
$peccular_lite_single_tags_section = get_theme_mod('peccular_lite_single_tags_section', '1');
$peccular_lite_authorbox_section = get_theme_mod('peccular_lite_authorbox_section', '1');
$peccular_lite_relatedposts_section = get_theme_mod('peccular_lite_relatedposts_section', '1');

get_header(); ?> 
<?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<div class="peccular-page-main"> 
   <header class="page-main-header2" 
  <?php
    if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){
  ?>

 <?php  if (!empty($image)) : ?>
  style="background: url('<?php echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:cover;background-position: center;"
  <?php endif ?> 

 <?php } ?>

  >
<?php 
    if(get_theme_mod('page_title_on_off') != 'on' ){
  ?>
    <div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
        <?php the_title( '<h1 class="ht-main-title">', '</h1>' ); ?>
        <div class="clearfix"></div>
    </div>
 <?php } ?> 
 <?php
    if(get_theme_mod('breadcrumb_on_off') != 'on' ){
  ?>        
    <div class="breadcrumbbox">
        <div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
              
                <div class='button'><?php peccular_lite_the_breadcrumb(); ?></div>
                <!--  <?php //peccular_lite_the_breadcrumb(); ?> -->
            </div>
        </div>
 <?php } ?>   
  

</header><!-- .entry-header --> 
<div class="peccular-innerpage-overlay"></div>
</div>
<main id="innerpage-box">

  <div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container  <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">   

    <div class="inner_contentbox">
        <div id="content-box" class="innerpage-whitebox">
          <div class="row md-1 m-0">
            <?php if (get_theme_mod('peccular__blogspost_layout') == '1' ) { ?>

                <div class="col-xl-4 col-lg-5 col-md-12 col-sm-12 col-xs-12 mobile-width">
                  <div id="secondary" class="widget-area">
                    <?php  dynamic_sidebar('peccular-blog-sidebar'); ?>
                </div>
            </div>

             <article class="article col-xl-8 col-lg-7 col-md-12 col-sm-12 col-xs-12 peccular-blog-single">  
             <div class="blog-info-area"> 
             <div class="metabox2brdr"> 
                  <ul>
                      <li>
                  <?php if (get_theme_mod('peccular_single_show_date',true) != false){ ?>
                    <div class="single-blog-date"> <i class="fa fa-calendar" aria-hidden="true"></i> <?php echo get_the_date( 'j F, Y' ); ?></div>
                <?php }?>
            </li>
                    <li>

                      <?php if (get_theme_mod('peccular_single_show_author',true) != false){ ?>
                         <div class="blog-author"><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" title="<?php echo esc_attr( get_the_author() ); ?>"><i class="fa fa-user" aria-hidden="true"></i> By <?php echo get_the_author(); ?> </a>

                         </div>
                     <?php }?>
                 </li>
    <li>
      <?php if (get_theme_mod('peccular_single_show_comments',true) != false){ ?>
          <div class="blog-comment"><i class="fa fa-comment-o" aria-hidden="true"></i><?php get_comments_number() ?>Comment</div>
      <?php }?>
  </li>
</ul>
<div class="clearfix"></div>
</div>
</div>
       <?php  if(get_theme_mod('featured_img_on_off') != 'on' ){ ?>

           <?php  if (!empty($image)) : ?>
               <img src="<?php echo esc_url($image); ?>"  class="ht-page-header-img" alt="<?php the_title();?>" />

           <?php endif ?> 

       <?php } ?>  

 <div class="col-md-12">

        <?php if (get_theme_mod('peccular_single_show_category',true) != false){ ?>
          <div class="blog-tags cat-tags">
            <?php echo get_the_category_list(); ?>
      </div>
  <?php }?>
</div>

       <?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
       <div id="post-<?php the_ID(); ?>" <?php post_class('post'); ?>>
        <div class="single_post">
             <div class="metabox"> 
        
<div class="clearfix"></div>
<!-- Start Content -->
<div id="content" class="post-single-content box mark-links">
    <?php the_content(); ?>                     
</div><!-- End Content -->   
     <?php if (get_theme_mod('peccular_single_show_tags',true) != false){ ?>
          <div class="blog-tags">
            <div class="tags-heading">
                Tags
            </div>
            <?php
            if( $tags = get_the_tags() ) {
                foreach( $tags as $content_tag ) {
                  $sep = ( $content_tag === end( $tags ) ) ? '' : ' ';
                  echo '<a href="' . esc_url(get_term_link( $content_tag, $content_tag->taxonomy )) . '" class="ml-2 mb-2">' . esc_html($content_tag->name) . '</a>' . esc_html($sep);
              }
          } ?>

      </div>
  <?php }?>
 
<div class="clearfix"></div>

<div class="row">
   
<div class="col-md-12 social-box">
  <?php if(get_theme_mod('single_blog_socials_on_off') != 'on' ){ ?>

    <div class="socialMedia text-center">
        <div class="social-tagline text-center">Share</div>
</div>
 <ul>
        <li><a href="https://www.facebook.com/sharer/sharer.php?u=<?php the_permalink();?>" target="_blank" class="site-button sharp"><i class="fa fa-facebook" aria-hidden="true"></i></a></li>
        
        <li><a href="https://www.instagram.com" target="_blank" class="site-button sharp"><i class="fa fa-instagram" aria-hidden="true"></i></a></li>

        <li><a href="https://www.whatsapp.com/" target="_blank" class="site-button sharp"><i class="fa fa-whatsapp" aria-hidden="true"></i></a></li>

        <li><a href="https://twitter.com/share?url=<?php the_permalink();?>&amp;text=<?php the_title();?>" class="site-button sharp" target="_blank"><i class="fa-brands fa-x-twitter" aria-hidden="true"></i></a></li>
        <div class="clearfix"></div> 

    </ul>
<?php } ?>
</div>
</div>
</div>
<!-- </div> -->

<?php if (get_theme_mod('peccular_single_show_comments',true) != false){ ?>
  <div class="blog-comment"><?php comments_template( '', true ); ?></div>
<?php }?>
<div class="clearfix"></div>

</div>
</div>
<?php endwhile; ?>
</article>
</div>

<?php } else if (get_theme_mod('peccular__blogspost_layout') == '2' ) {?>

  <article class="article col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12 peccular-blog-single" style="width: 100%;">  
             <div class="blog-info-area"> 
             <div class="metabox2brdr"> 
                  <ul>
                      <li>
                  <?php if (get_theme_mod('peccular_single_show_date',true) != false){ ?>
                    <div class="single-blog-date"> <i class="fa fa-calendar" aria-hidden="true"></i> <?php echo get_the_date( 'j F, Y' ); ?></div>
                <?php }?>
            </li>
                    <li>

                      <?php if (get_theme_mod('peccular_single_show_author',true) != false){ ?>
                         <div class="blog-author"><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" title="<?php echo esc_attr( get_the_author() ); ?>"><i class="fa fa-user" aria-hidden="true"></i> By <?php echo get_the_author(); ?> </a>

                         </div>
                     <?php }?>
                 </li>
    <li>
      <?php if (get_theme_mod('peccular_single_show_comments',true) != false){ ?>
          <div class="blog-comment"><i class="fa fa-comment-o" aria-hidden="true"></i><?php get_comments_number() ?>Comment</div>
      <?php }?>
  </li>
</ul>
<div class="clearfix"></div>
</div>
</div>
       <?php  if(get_theme_mod('featured_img_on_off') != 'on' ){ ?>

           <?php  if (!empty($image)) : ?>
               <img src="<?php echo esc_url($image); ?>"  class="ht-page-header-img" alt="<?php the_title();?>" />

           <?php endif ?> 

       <?php } ?>  

 <div class="col-md-12">

        <?php if (get_theme_mod('peccular_single_show_category',true) != false){ ?>
          <div class="blog-tags cat-tags">
            <?php echo get_the_category_list(); ?>
      </div>
  <?php }?>
</div>

       <?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
       <div id="post-<?php the_ID(); ?>" <?php post_class('post'); ?>>
        <div class="single_post">
             <div class="metabox"> 
        
<div class="clearfix"></div>
<!-- Start Content -->
<div id="content" class="post-single-content box mark-links">
    <?php the_content(); ?>                     
</div><!-- End Content -->   
     <?php if (get_theme_mod('peccular_single_show_tags',true) != false){ ?>
          <div class="blog-tags">
            <div class="tags-heading">
                Tags
            </div>
            <?php
            if( $tags = get_the_tags() ) {
                foreach( $tags as $content_tag ) {
                  $sep = ( $content_tag === end( $tags ) ) ? '' : ' ';
                  echo '<a href="' . esc_url(get_term_link( $content_tag, $content_tag->taxonomy )) . '" class="ml-2 mb-2">' . esc_html($content_tag->name) . '</a>' . esc_html($sep);
              }
          } ?>

      </div>
  <?php }?>
 
<div class="clearfix"></div>

<div class="row">
   
<div class="col-md-12 social-box">
  <?php if(get_theme_mod('single_blog_socials_on_off') != 'on' ){ ?>

    <div class="socialMedia text-center">
        <div class="social-tagline text-center">Share</div>
</div>
 <ul>
        <li><a href="https://www.facebook.com/sharer/sharer.php?u=<?php the_permalink();?>" target="_blank" class="site-button sharp"><i class="fa fa-facebook" aria-hidden="true"></i></a></li>
        
        <li><a href="https://www.instagram.com" target="_blank" class="site-button sharp"><i class="fa fa-instagram" aria-hidden="true"></i></a></li>

        <li><a href="https://www.whatsapp.com/" target="_blank" class="site-button sharp"><i class="fa fa-whatsapp" aria-hidden="true"></i></a></li>

        <li><a href="https://twitter.com/share?url=<?php the_permalink();?>&amp;text=<?php the_title();?>" class="site-button sharp" target="_blank"><i class="fa-brands fa-x-twitter" aria-hidden="true"></i></a></li>
        <div class="clearfix"></div> 

    </ul>
<?php } ?>
</div>
</div>
</div>
<!-- </div> -->

<?php if (get_theme_mod('peccular_single_show_comments',true) != false){ ?>
  <div class="blog-comment"><?php comments_template( '', true ); ?></div>
<?php }?>
<div class="clearfix"></div>

</div>
</div>
<?php endwhile; ?>
</article>
<?php } if (get_theme_mod('peccular__blogspost_layout') == '0' ) { ?> 

  <div class="row md-1 p-0 m-0">
    <article class="article col-xl-8 col-lg-7 col-md-12 col-sm-12 col-xs-12 peccular-blog-single">  
             <div class="blog-info-area"> 
             <div class="metabox2brdr"> 
                  <ul>
                      <li>
                  <?php if (get_theme_mod('peccular_single_show_date',true) != false){ ?>
                    <div class="single-blog-date"> <i class="fa fa-calendar" aria-hidden="true"></i> <?php echo get_the_date( 'j F, Y' ); ?></div>
                <?php }?>
            </li>
                    <li>

                      <?php if (get_theme_mod('peccular_single_show_author',true) != false){ ?>
                         <div class="blog-author"><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" title="<?php echo esc_attr( get_the_author() ); ?>"><i class="fa fa-user" aria-hidden="true"></i> By <?php echo get_the_author(); ?> </a>

                         </div>
                     <?php }?>
                 </li>
    <li>
      <?php if (get_theme_mod('peccular_single_show_comments',true) != false){ ?>
          <div class="blog-comment"><i class="fa fa-comment-o" aria-hidden="true"></i><?php get_comments_number() ?>Comment</div>
      <?php }?>
  </li>
</ul>
<div class="clearfix"></div>
</div>
</div>
       <?php  if(get_theme_mod('featured_img_on_off') != 'on' ){ ?>

           <?php  if (!empty($image)) : ?>
               <img src="<?php echo esc_url($image); ?>"  class="ht-page-header-img" alt="<?php the_title();?>" />

           <?php endif ?> 

       <?php } ?>  

 <div class="col-md-12">

        <?php if (get_theme_mod('peccular_single_show_category',true) != false){ ?>
          <div class="blog-tags cat-tags">
            <?php echo get_the_category_list(); ?>
      </div>
  <?php }?>
</div>

       <?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
       <div id="post-<?php the_ID(); ?>" <?php post_class('post'); ?>>
        <div class="single_post">
             <div class="metabox"> 
        
<div class="clearfix"></div>
<!-- Start Content -->
<div id="content" class="post-single-content box mark-links">
    <?php the_content(); ?>                     
</div><!-- End Content -->   
     <?php if (get_theme_mod('peccular_single_show_tags',true) != false){ ?>
          <div class="blog-tags">
            <div class="tags-heading">
                Tags
            </div>
            <?php
            if( $tags = get_the_tags() ) {
                foreach( $tags as $content_tag ) {
                  $sep = ( $content_tag === end( $tags ) ) ? '' : ' ';
                  echo '<a href="' . esc_url(get_term_link( $content_tag, $content_tag->taxonomy )) . '" class="ml-2 mb-2">' . esc_html($content_tag->name) . '</a>' . esc_html($sep);
              }
          } ?>

      </div>
  <?php }?>
 
<div class="clearfix"></div>

<div class="row">
   
<div class="col-md-12 social-box">
  <?php if(get_theme_mod('single_blog_socials_on_off') != 'on' ){ ?>

    <div class="socialMedia text-center">
        <div class="social-tagline text-center">Share</div>
</div>
 <ul>
        <li><a href="https://www.facebook.com/sharer/sharer.php?u=<?php the_permalink();?>" target="_blank" class="site-button sharp"><i class="fa fa-facebook" aria-hidden="true"></i></a></li>
        
        <li><a href="https://www.instagram.com" target="_blank" class="site-button sharp"><i class="fa fa-instagram" aria-hidden="true"></i></a></li>

        <li><a href="https://www.whatsapp.com/" target="_blank" class="site-button sharp"><i class="fa fa-whatsapp" aria-hidden="true"></i></a></li>

        <li><a href="https://twitter.com/share?url=<?php the_permalink();?>&amp;text=<?php the_title();?>" class="site-button sharp" target="_blank"><i class="fa-brands fa-x-twitter" aria-hidden="true"></i></a></li>
        <div class="clearfix"></div> 

    </ul>
<?php } ?>
</div>
</div>
</div>
<!-- </div> -->

<?php if (get_theme_mod('peccular_single_show_comments',true) != false){ ?>
  <div class="blog-comment"><?php comments_template( '', true ); ?></div>
<?php }?>
<div class="clearfix"></div>

</div>
</div>
<?php endwhile; ?>
</article>
<div class="col-xl-4 col-lg-5 col-md-12 col-sm-12 col-xs-12 mobile-width">
  <div id="secondary" class="widget-area">
    <?php dynamic_sidebar('peccular-blog-sidebar'); ?>
</div>
</div>
</div>

<?php } ?> 

<!-- End Article -->
<!-- Start Sidebar -->
<?php // get_sidebar(); ?>
<!-- End Sidebar -->
</div>
<div class="clearfix"></div>
</div>
<div class="clearfix"></div>
</div>
   <div class="nav-bx-bar">
             <?php if(is_single()) { // single-view navigation ?>

              <?php $posts = query_posts($query_string); if (have_posts()) : while (have_posts()) : the_post(); ?>

<div class="row">
       <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 text-left">
          <div class="row m-0">
             <div class="col-xl-2 col-lg-2 col-md-2 col-sm-2 mobile-width-auto">
            <?php next_post_link('%link', '<i class="fa fa-long-arrow-left"></i>'); ?>
        </div>
              <div class="col-xl-10 col-lg-10 col-md-10 col-sm-10 p-0 post-right-space">
            <span> <?php next_post_link('%link', 'Previous Post'); ?></span>
           <h2> <?php next_post_link( '%link', '%title' ); ?> </h2>
        </div>
           
       
         <div class="clearfix"></div>
    </div>
</div>
    <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 text-right">
        <div class="row m-0">
            <div class="col-xl-10 col-lg-10 col-md-10 col-sm-10 p-0 post-left-space">
            <span><?php previous_post_link('%link', 'Next Post'); ?> </span>
           <h2>  <?php previous_post_link( '%link', '%title'); ?>   </h2>
        </div>
        <div class="col-xl-2 col-lg-2 col-md-2 col-sm-2 mobile-width-auto">
            <?php previous_post_link('%link', '<i class="fa fa-long-arrow-right"></i>'); ?>  
        </div>
        
        <div class="clearfix"></div> 
</div>
    </div>

</div>
             
            <?php endwhile; endif; ?>

          <?php } else { // archive view navigation ?>

            <?php posts_nav_link('','<','>'); ?>

          <?php } ?>
        </div>
</main>
<?php get_footer(); ?>
