 <?php
/**
 * Template Name: Contact Page
 *
 * @package peccular Premium
 */
get_header(); 
?>
  <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<div class="peccular-page-main"> 
   <header class="page-main-header2" 
  <?php
    if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){
  ?>

 <?php  if (!empty($image)) : ?>
  style="background: url('<?php echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:cover;background-position: center;  height: <?php echo esc_attr(get_theme_mod('peccular_innerpage_image_height','345')) ?>px;
  "
  <?php endif ?> 

 <?php } ?>

  >
<?php
    if(get_theme_mod('page_title_on_off') != 'on' ){
  ?>
    <div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
        <?php the_title( '<h1 class="ht-main-title">', '</h1>' ); ?>
        <div class="clearfix"></div>
    </div>
 <?php } ?> 
 <?php
    if(get_theme_mod('breadcrumb_on_off') != 'on' ){
  ?>        
    <div class="breadcrumbbox">
        <div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
              
                <div class='button'><?php peccular_lite_the_breadcrumb(); ?></div>
                <!--  <?php //peccular_lite_the_breadcrumb(); ?> -->
            </div>
        </div>
 <?php } ?>   
  

</header><!-- .entry-header --> 
<div class="peccular-innerpage-overlay"></div>
</div>
<main id="innerpage-box p-0">
	<div class="inner_contentbox p-0">
		<?php 			

		$peccular_contactpage_address1 = get_theme_mod('peccular_contactpage_address1', 'W186N9581 Bancroft Dr ');	
		$peccular_contactpage_address2 = get_theme_mod('peccular_contactpage_address2', 'Menomonee Falls U.S.');	
		
		$peccular_contact_page_phone1 = get_theme_mod('peccular_contact_page_phone1', '+000 342 4567 876');
		$peccular_contact_page_phone2 = get_theme_mod('peccular_contact_page_phone2', '+112 987 0987 231');			
		
		$peccular_contact_page_email1 = get_theme_mod('peccular_contact_page_email1', 'info@sdfbvhfjmail.com');	
		$peccular_contact_page_email2 = get_theme_mod('peccular_contact_page_email2', 'sfsgsd@infiobmail.com');			    

	    $peccular_cont_addhead = get_theme_mod('peccular_cont_addhead', 'Address');
	    $peccular_cont_emailhead = get_theme_mod('peccular_cont_emailhead', 'Email');
	    $peccular_cont_phonehead = get_theme_mod('peccular_cont_phonehead', 'Phone');
	    $peccular_contform_maintitle = get_theme_mod('peccular_contform_maintitle', 'CONTACT US');

	    $peccular_contact_page_iframe_shortcode = get_theme_mod('peccular_contact_page_iframe_shortcode', 'Add Map Embed Code Here');
	    $peccular_contact_page_form_shortcode = get_theme_mod('peccular_contactpage_form_shortcode', 'Add Form [SHORTCODE] Here');
	    
     	?>

     <div id="peccular-contactus-wrap">  
     <div class="<?php if(get_theme_mod('peccular_about_section_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_about_section_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">      	 
	

	<div class="row peccular-contact-form-block">

		<div class="col-lg-4 col-md-4 col-sm-4 col-xs-12 contactphone"> 
				<?php if($peccular_contact_page_phone1 || $peccular_contact_page_phone2){ ?>	
		    	<div class="inncontact-area">
					<div class="row">					
						<div class="col-lg-4 col-md-4 col-sm-12 col-xs-12">
							<div class="iconbox">
								<i class="fa fa-phone" aria-hidden="true"></i>								
							</div>
						</div>
						<div class="col-lg-8 col-md-8 col-sm-12 col-xs-12">												 		
							<h2 class="peccular-inncontact-title"><?php echo ($peccular_cont_phonehead);  ?></h2>					
						</div>
					</div>
					<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 contmargin">
					<p><a href="tel:<?php echo $peccular_contact_page_phone1;?>" class="peccular-inncontact-content"><?php echo ($peccular_contact_page_phone1);  ?></a></p>
					<p><a href="tel:<?php echo $peccular_contact_page_phone2;?>" class="peccular-inncontact-content"><?php echo ($peccular_contact_page_phone2);  ?></a></p>
					</div>	
								
				</div>
				<?php }?>
		</div><!-- col 4 -->	    

	    <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12 contactemail">
	        <?php if($peccular_contact_page_email1 || $peccular_contact_page_email2){ ?>	
		    	<div class="inncontact-area">
					<div class="row">					
						<div class="col-lg-4 col-md-4 col-sm-12 col-xs-12">
							<div class="iconbox">
								<i class="fa fa-envelope-o" aria-hidden="true"></i>								
							</div>
						</div>
						<div class="col-lg-8 col-md-8 col-sm-12 col-xs-12">												 		
							<h2 class="peccular-inncontact-title"><?php echo ($peccular_cont_emailhead);  ?></h2>					
						</div>
					</div>
					<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 contmargin">
					<p><a href="mailto:<?php echo $peccular_contact_page_email1;?>" class="peccular-inncontact-content"><?php echo ($peccular_contact_page_email1);  ?></a></p>
					<p><a href="mailto:<?php echo $peccular_contact_page_email2;?>" class="peccular-inncontact-content"><?php echo ($peccular_contact_page_email2);  ?></a></p>	
					</div>
													
				</div>
			<?php }?>
		</div><!-- col 4 -->

		<div class="col-lg-4 col-md-4 col-sm-4 col-xs-12 contactadd">
	    	  <?php if($peccular_contactpage_address1 || $peccular_contactpage_address2){ ?>	
	    	<div class="inncontact-area add-blck">
				<div class="row">					
					<div class="col-lg-4 col-md-4 col-sm-12 col-xs-12">
						<div class="iconbox">
							<i class="fa fa-map-marker" aria-hidden="true"></i>								
						</div>
					</div>
					<div class="col-lg-8 col-md-8 col-sm-12 col-xs-12">												 		
						<h2 class="peccular-inncontact-title"><?php echo ($peccular_cont_addhead);  ?></h2>								
					</div>
				</div>
				<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 contmargin">					
					<p class="peccular-inncontact-content"><?php echo ($peccular_contactpage_address1);  ?></p>
					<p class="peccular-inncontact-content"><?php echo ($peccular_contactpage_address2);  ?></p>
				</div>			
			</div>
			<?php }?>			
		</div><!-- col 4 -->								
			
    	</div><!-- peccular-contact-form-block -->


	<div class="row m-0">
		<?php if(!empty($peccular_contact_page_form_shortcode)){ ?>
		<div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 col-xs-12 pr-0-c-page p-0">		
			
			<div class="peccular-contact-page-form  <?php echo esc_attr(get_theme_mod('peccular_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">	
				<div class="peccular-contact-page-formbox">
					<?php if($peccular_contform_maintitle){ ?> 	           
			              <h2><?php echo ($peccular_contform_maintitle);  ?>
			              	<div class="headbrdr"></div>
			              </h2>   
			        <?php }?>							
					<?php echo do_shortcode($peccular_contact_page_form_shortcode);?>
				</div>
			</div>	
		
		</div>
		<?php }?>

		<div class="col-lg-6 col-md-12 col-sm-12 col-xs-12 pd-0 contactifram">			

				<?php if(!empty($peccular_contact_page_iframe_shortcode)){ ?>
					<div class="peccular-contact-mapbox <?php echo esc_attr(get_theme_mod('peccular_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
							<?php echo ($peccular_contact_page_iframe_shortcode);  ?>
					</div>
				<?php }?>   	
		</div> 
	</div>
		  
</div> 	<!-- container -->	

	</div>	<!-- peccular-contactus-wrap -->	
	</div>	
	
</main>
<script>
	jQuery.noConflict();
	$(function(){
		function inncontactareaHeight(){
			var ht = 0;
			$('.inncontact-area').each(function(i){
				var tHt = $(this).height();
				if(ht<tHt){
					ht=tHt;
				}
			});
			$('.inncontact-area').height(ht+'px');
		}
		inncontactareaHeight();
	});
	$( window ).resize(function(){
		inncontactareaHeight();
	});
</script>
<?php get_footer(); ?>